DestinationState (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: DestinationState

Package com.sun.messaging.jms.management.server

# Class DestinationState

java.lang.Object
com.sun.messaging.jms.management.server.DestinationState

public class DestinationState extends Object
Class containing information on destination states.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSUMERS_PAUSED`
  Message delivery to consumers is paused.
  `static final int`
  `PAUSED`
  Message delivery from producers and to consumers is paused.
  `static final int`
  `PRODUCERS_PAUSED`
  Message delivery from producers is paused.
  `static final int`
  `RUNNING`
  Destination is active.
  `static final int`
  `UNKNOWN`
  Unknown destination state.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `toString(int state)`
  Returns a string representation of the specified destination state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNKNOWN

    public static final int UNKNOWN
    Unknown destination state.
    See Also:
      - Constant Field Values

  - ### RUNNING

    public static final int RUNNING
    Destination is active.
    See Also:
      - Constant Field Values

  - ### CONSUMERS_PAUSED

    public static final int CONSUMERS_PAUSED
    Message delivery to consumers is paused.
    See Also:
      - Constant Field Values

  - ### PRODUCERS_PAUSED

    public static final int PRODUCERS_PAUSED
    Message delivery from producers is paused.
    See Also:
      - Constant Field Values

  - ### PAUSED

    public static final int PAUSED
    Message delivery from producers and to consumers is paused.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### toString

    public static String toString(int state)
    Returns a string representation of the specified destination state.
    Parameters:
      `state` - Destination state.
    Returns:
      String representation of the specified destination state.